Bug 866202 - (mate-conf-editor) Review Request: mate-conf-editor - Editor/admin tool for mate-conf
Review Request: mate-conf-editor - Editor/admin tool for mate-conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On: MATE-DE-tracker
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 12:23 EDT by leigh scott
Modified: 2012-10-30 05:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 05:47:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan.mashal: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description leigh scott 2012-10-14 12:23:19 EDT
Spec URL: http://leigh123linux.fedorapeople.org/pub/review/mate-conf-editor/1/mate-conf-editor.spec
SRPM URL: http://leigh123linux.fedorapeople.org/pub/review/mate-conf-editor/1/mate-conf-editor-1.4.0-1.fc17.src.rpm
Description: mate-conf-editor allows you to browse and modify MateConf configuration
sources.
Fedora Account System Username: leigh123linux
Comment 1 Dan Mashal 2012-10-15 02:14:06 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[ ]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "GPL (v2 or later)",
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/dan/866202-mate-conf-editor/licensecheck.txt
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[ ]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (mate-conf-editor-1.4.0.tar.xz)
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mate-conf-editor-1.4.0-1.fc17.src.rpm
          mate-conf-editor-1.4.0-1.fc17.x86_64.rpm
          mate-conf-editor-debuginfo-1.4.0-1.fc17.x86_64.rpm
mate-conf-editor.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/mateconf-editor.schemas
mate-conf-editor.x86_64: W: dangerous-command-in-%pre rm
mate-conf-editor.x86_64: W: dangerous-command-in-%post rm
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-search.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-cell-renderer.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-cell-renderer.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-tree-model.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-bookmarks-dialog.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-tree-model.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-bookmarks-dialog.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-util.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-stock-icons.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/gedit-output-window.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-stock-icons.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-util.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/gedit-output-window.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-bookmarks.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-list-model.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/main.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-bookmarks.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-list-model.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-policykit.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-editor-window.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-editor-window.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-policykit.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-search-dialog.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-search-dialog.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-editor-application.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-key-editor.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-editor-application.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-key-editor.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-search.c
3 packages and 0 specfiles checked; 29 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mate-conf-editor-debuginfo mate-conf-editor
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-search.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-cell-renderer.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-cell-renderer.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-tree-model.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-bookmarks-dialog.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-tree-model.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-bookmarks-dialog.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-util.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-stock-icons.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/gedit-output-window.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-stock-icons.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-util.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/gedit-output-window.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-bookmarks.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-list-model.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/main.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-bookmarks.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-list-model.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-policykit.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-editor-window.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-editor-window.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-policykit.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-search-dialog.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-search-dialog.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-editor-application.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-key-editor.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-editor-application.h
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-key-editor.c
mate-conf-editor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-conf-editor-1.4.0/src/mateconf-search.c
mate-conf-editor.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/mateconf-editor.schemas
mate-conf-editor.x86_64: W: dangerous-command-in-%pre rm
mate-conf-editor.x86_64: W: dangerous-command-in-%post rm
2 packages and 0 specfiles checked; 29 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
mate-conf-editor-1.4.0-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    libatk-1.0.so.0()(64bit)  
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libdbus-1.so.3()(64bit)  
    libdbus-glib-1.so.2()(64bit)  
    libfontconfig.so.1()(64bit)  
    libfreetype.so.6()(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgtk-x11-2.0.so.0()(64bit)  
    libmateconf-2.so.4()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpangoft2-1.0.so.0()(64bit)  
    libpthread.so.0()(64bit)  
    librt.so.1()(64bit)  
    mate-conf  
    rtld(GNU_HASH)  

mate-conf-editor-debuginfo-1.4.0-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
mate-conf-editor-1.4.0-1.fc17.x86_64.rpm:
    
    mate-conf-editor = 1.4.0-1.fc17
    mate-conf-editor(x86-64) = 1.4.0-1.fc17

mate-conf-editor-debuginfo-1.4.0-1.fc17.x86_64.rpm:
    
    mate-conf-editor-debuginfo = 1.4.0-1.fc17
    mate-conf-editor-debuginfo(x86-64) = 1.4.0-1.fc17



MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.4/mate-conf-editor-1.4.0.tar.xz :
  CHECKSUM(SHA256) this package     : 3372cff9bb68e2bd90a2bf2de68059f638f92bcc6a7b932ac7135cd4425615c3
  CHECKSUM(SHA256) upstream package : 3372cff9bb68e2bd90a2bf2de68059f638f92bcc6a7b932ac7135cd4425615c3
Comment 2 Dan Mashal 2012-10-15 02:15:10 EDT
Same as others:

Please remove:

BuildRequires: scrollkeeper
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: libtool

Please add:

rarian-compat rarian-devel
Comment 4 Dan Mashal 2012-10-15 13:25:56 EDT
Looks good. Thanks. APPROVED.
Comment 5 leigh scott 2012-10-15 13:50:41 EDT
New Package SCM Request
=======================
Package Name: mate-conf-editor
Short Description: Editor/admin tool for mate-conf
Owners: leigh123linux rdieter vicodan
Branches: f16 f17 f18 
InitialCC:
Comment 6 Jon Ciesla 2012-10-15 13:55:51 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-10-23 01:48:04 EDT
mate-conf-editor-1.4.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-16257/mate-conf-editor-1.4.0-2.fc17

Note You need to log in before you can comment on or make changes to this bug.